# CardGameObject (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.data
Class CardGameObject

    java.lang.Object
      com.threerings.presents.dobj.DObject
          com.threerings.crowd.data.PlaceObject
              com.threerings.parlor.game.data.GameObject
                  com.threerings.parlor.card.data.CardGameObject

All Implemented Interfaces:
  com.threerings.crowd.chat.data.SpeakObject, com.threerings.io.Streamable

    public class CardGameObject

extends GameObject

Game object class for card games.

Nested Class Summary

Nested classes/interfaces inherited from class com.threerings.crowd.data.PlaceObject
`com.threerings.crowd.data.PlaceObject.ManagerCaller`

Nested classes/interfaces inherited from interface com.threerings.crowd.chat.data.SpeakObject
`com.threerings.crowd.chat.data.SpeakObject.ListenerOp`

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary

Fields inherited from class com.threerings.parlor.game.data.GameObject
`CANCELLED, GAME_OVER, IN_PLAY, IS_PRIVATE, IS_RATED, isPrivate, isRated, PLAYER_IN_PLAY, PLAYER_LEFT_GAME, PLAYER_STATUS, players, PLAYERS, playerStatus, PRE_GAME, SESSION_ID, sessionId, state, STATE, winners, WINNERS`

Fields inherited from class com.threerings.crowd.data.PlaceObject
`manager, OCCUPANT_INFO, occupantInfo, occupants, OCCUPANTS, SPEAK_SERVICE, speakService`

Constructor Summary
`CardGameObject()`

Method Summary

Methods inherited from class com.threerings.parlor.game.data.GameObject
`getActivePlayerCount, getPlayerCount, getPlayerIndex, getWinnerCount, getWinnerIndex, isActivePlayer, isDraw, isInPlay, isOccupiedPlayer, isWinner, setIsPrivate, setIsRated, setPlayers, setPlayersAt, setPlayerStatus, setPlayerStatusAt, setSessionId, setState, setWinners, setWinnersAt`

Methods inherited from class com.threerings.crowd.data.PlaceObject
`addToOccupantInfo, addToOccupants, applyToListeners, getOccupantInfo, initManagerCaller, removeFromOccupantInfo, removeFromOccupants, setOccupantInfo, setSpeakService, shouldBroadcast, updateOccupantInfo`

Methods inherited from class com.threerings.presents.dobj.DObject

`acquireLock, addListener, addListener, addSubscriber, addToSet, cancelTransaction, changeAttribute, checkPermissions, checkPermissions, commitTransaction, destroy, getAccessController, getAttribute, getLocal, getLocals, getManager, getOid, getSet, inTransaction, isActive, notifyListeners, notifyProxies, postEvent, postMessage, postMessage, readField__oid, releaseLock, removeFromSet, removeListener, removeSubscriber, setAccessController, setAttribute, setDestroyOnLastSubscriberRemoved, setLocal, setManager, setOid, startTransaction, toString, updateSet, which, writeField__oid`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardGameObject

    public CardGameObject()

Copyright © 2011. All Rights Reserved.